Bug 2228 - Installation, RAM, Adaptec 2940 & SMP
Installation, RAM, Adaptec 2940 & SMP
Product: Red Hat Linux
Classification: Retired
Component: basesystem (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-04-17 01:59 EDT by jbasant
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-16 12:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jbasant 1999-04-17 01:59:22 EDT
I am evaluating your product for a large financial
institution with the hope of rolling it out to some of the
high end users, besides if it passes the eval process it
will then be allowed on the developers desktops.  As it
stands now, if Linux is found on anyones desktop it is
immediate termination.  So far 5 people were given pick
slips, so they are definitely not  joking.  Since my
finding will ether give Red Hat Linux the thumbs up or down
for at least the next two years if not longer.  The only
reason senior management has even okayed an official
evaluation is because of the recent press.  So as the
saying goes on Wall Street, if your going to bring it you
had better be able to swing it.

I found these major problems during the install of your 5.2
version and your 5.9 and they are show stoppers.

Test workstation is as follows:
IBM 6589  18U dual Ppro 200s
156 megs of RAM
Adaptec 2940 UW SCSI 2

1. The Adaptecs transfer rate is being set to 10mb/s
instead of 40mb/s that it is set on the card.
2. Only 64megs of RAM is recognized by Linux.  This is
supposable because there is only a 256K L2 cache.  Its
1999 this is not an acceptable answer it needs to be fixed
right away.
3. As stated the this machine has two processors, but yet
even with all the probing going on during install when all
is said and done the machine boots up with only one
processor.  Completely unacceptable.  The Microsoft NT
advocates in the corporation would have an field day with
this.  The first thing they would say is it doesnt scale
and when if you were to try and make the case that you need
to recompile the kernel.  The first thing senior management
would say is but we dont need to do that with NT, it will
see both CPUs and all the memory.  And they would be
right it is 1999.

Im sorry if Im being too hard on you, but this is nothing
compared to would happen at an executive briefing and demo.
I would like these issues addressed if possible, because I
do believe that Linux is the better product even if it
doesnt have a journal file system.  Just so that you are
aware when senior management does look at the demo in
attendance will undoubtedly be the heads of at least six of
the trading floors and their direct reports.  So if Linux
works one can only imagine what will happen on the next
trading day.  In its current state it would be banned form
the organization and FUBARed on the trading floors.

Right now I have some time, because of Y2K, but that wont
last for ever.  So any information of patches would be a
big help.  Thank you for you time.

Joseph Basanta
Comment 1 Cristian Gafton 1999-06-16 12:32:59 EDT
Is this still valid with the released version of Red Hat Linux 6.0?
Please repopen the bug if that is the case.

Note You need to log in before you can comment on or make changes to this bug.